@import url('https://fonts.googleapis.com/css2?family=Slabo+27px&display=swap');


* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    outline: none;
}

body {
    overflow-x: hidden;
    font-family: 'Roboto', sans-serif;
    font-size: 16px;
    color: #333;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: 'Butler';
    font-weight: 300;
}

h1,
h2 {
    font-size: 96px;
    line-height: 96px;
}

h3 {
    font-size: 64px;
}

h5 {
    font-size: 16px;
}

a {
    text-decoration: none;
    color: #333;
    font-family: 'Roboto', sans-serif;
}

section,
footer {
    position: relative;
}


/* hamburger   */

.button_container {
    position: absolute;
    top: 1%;
    right: 5%;
    height: 27px;
    width: 35px;
    cursor: pointer;
    z-index: 100;
    transition: opacity 0.25s ease;
    visibility: hidden;
}

.button_container:hover {
    opacity: 0.7;
}

.button_container.active .top {
    transform: translateY(11px) translateX(0) rotate(45deg);
    background: #fff;
}

.button_container.active .middle {
    opacity: 0;
    background: #fff;
}

.button_container.active .bottom {
    transform: translateY(-11px) translateX(0) rotate(-45deg);
    background: #fff;
}

.button_container span {
    background: #1abc9c;
    border: none;
    height: 5px;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    transition: all 0.35s ease;
    cursor: pointer;
}

.button_container span:nth-of-type(2) {
    top: 11px;
}

.button_container span:nth-of-type(3) {
    top: 22px;
}

.overlay {
    position: fixed;
    background: #1abc9c;
    top: 0;
    left: 0;
    width: 100%;
    height: 0%;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.35s, visibility 0.35s, height 0.35s;
    overflow: hidden;
}

.overlay.open {
    opacity: 0.9;
    visibility: visible;
    height:14%;
    z-index: 1;
}

.overlay.open li {
    animation: fadeInRight 0.5s ease forwards;
    animation-delay: 0.35s;
}

.overlay.open li:nth-of-type(2) {
    animation-delay: 0.4s;
}

.overlay.open li:nth-of-type(3) {
    animation-delay: 0.45s;
}

.overlay.open li:nth-of-type(4) {
    animation-delay: 0.5s;
}

.overlay nav {
    position: relative;
    height: 70%;
    top: 50%;
    transform: translateY(-50%);
    font-size: 50px;
    font-family: 'Varela Round', serif;
    font-weight: 400;
    text-align: center;
}

.overlay ul {
    list-style: none;
    padding: 0;
    margin: 0 auto;
    display: inline-block;
    position: relative;
    height: 100%;
}

.overlay ul li {
    display: block;
    height: 25%;
    height: calc(100% / 4);
    min-height: 50px;
    position: relative;
    opacity: 0;
}

.overlay ul li a {
    display: block;
    position: relative;
    color: #fff;
    text-decoration: none;
    overflow: hidden;
}

.overlay ul li a:hover:after,
.overlay ul li a:focus:after,
.overlay ul li a:active:after {
    width: 100%;
}

.overlay ul li a:after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 50%;
    width: 0%;
    transform: translateX(-50%);
    height: 3px;
    background: #fff;
    transition: 0.35s;
}

@keyframes fadeInRight {
    0% {
        opacity: 0;
        left: 20%;
    }

    100% {
        opacity: 1;
        left: 0;
    }
}

/* hamburger   */


/* custome  */

header {
    margin: auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 100px;
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);

}

header .logo lottie-player {
    padding-bottom: 10px;
}

header .menu .list {
    list-style: none;
    display: inline-table;
    margin: 0 25px;
}

header .menu .list a {
    text-transform: uppercase;
    position: relative;
}

header .menu .list a:before {
    content: '';
    position: absolute;
    bottom: -22px;
    left: 0;
    width: 0;
    height: 1px;
    background-color: #000;
    transition: all ease 1s;
}

header .menu .list a:hover::before {
    width: 100%;
}

/* hero section  */

.hero_sec {
    padding: 100px 0;
    text-align: center;
}

.hero_sec p {
    text-transform: uppercase;
    letter-spacing: 10px;
}

.hero_sec h1 {
    text-transform: uppercase;
    margin: 30px 0 40px;

}

.hero_sec .star {
    position: absolute;
    top: 198px;
    right: 550px;
    z-index: -1;
}


/* button  */
.btn_primary {
    width: 230px;
    height: 40px;
    color: #fff;
    border-radius: 5px;
    padding: 10px 25px;
    font-family: 'Lato', sans-serif;
    font-weight: 500;
    background: transparent;
    cursor: pointer;
    transition: all 0.3s ease;
    position: relative;
    display: inline-block;
    box-shadow: inset 2px 2px 2px 0px rgba(255, 255, 255, .5),
        7px 7px 20px 0px rgba(0, 0, 0, .1),
        4px 4px 5px 0px rgba(0, 0, 0, .1);
    outline: none;
    border: none;
    color: #000;

}

.btn_primary:after {
    position: absolute;
    content: "";
    width: 0;
    height: 100%;
    top: 0;
    left: 0;
    direction: rtl;
    z-index: -1;
    box-shadow:
        -7px -7px 20px 0px #fff9,
        -4px -4px 5px 0px #fff9,
        7px 7px 20px 0px #0002,
        4px 4px 5px 0px #0001;
    transition: all 0.3s ease;
}

.btn_primary:hover {
    color: #000;
}

.btn_primary:hover:after {
    left: auto;
    right: 0;
    width: 100%;
}

/* section 1  */

.sec1 {
    padding: 0 150px;

}

.sec1_img_group {
    display: flex;
    justify-content: space-between;
}

.sec1_img3 {

    display: flex;
    align-items: flex-end;
}

/* section 2  */
.sec2{
    display: flex;
    justify-content:space-between;
    padding:150px;
}
.sec_text{
    max-width: 500px;
}
.sec_text h2{
    text-transform: uppercase;
}
.sec_text .sec_text_desc{
    padding-left: 80px;
    border-left:2px solid rgba(0,0,0,0.07)
}

.sec_text .sec_text_desc_p{
    margin: 55px 0 40px

}

.sec_text .sec_text_desc_p p{
    margin-bottom: 15px;
    line-height: 28px;
}


/* section 3  */

.sec3{
    display: flex;
    justify-content: space-between;
    padding:100px
}
.sec3 img{
    /* height: 25%; */
    width:60%;
    padding-left: 10px;
}

/* section 4  */
.sec4{
    padding:150px;
    text-align:center;
}
.sec4 h3{
    text-transform: uppercase;
    padding: 0 70px;
}
.sec4_img_group{
    display:flex;
    justify-content:center;
    margin-top: 100px;
}

.sec4_img_group img{
    width:75%;
    
}

.sec4_img_group .sec4_img2{
    margin:130px -50px 0;
    z-index: 9;;
}

.sec4 .star{
position:absolute;
top:200px;
right:42%;
z-index: 1;
/* left:0; */
}

/* section 5  */
.sec5{
    padding:150px 0;
    display:flex;
    align-items:center;
    justify-content:center;
}

.overlay_text{
    position:absolute;
}

.sec5 h2{
    text-transform: uppercase;
}

.sec5 video{
    width:100%
}


/* section 6  */

.sec6 .image_slider .item{
    padding: 0 10px

}

.sec6 .image_slider img{
    width: 100%;
}

/* footer */

footer{
    padding:125px 0 225px ;
    text-align:center;
    background-color:#1f1f1f;
    color:#fff
}

footer .circular_text{
    margin-top: -350px;
    z-index: 9;
    margin-bottom:10px;
}

.circular_text img{
    animation: star 30s linear infinite;
}
   @keyframes star{
    to{
      transform: rotate(360deg);
    }
}

footer p{
    text-transform: uppercase;
    letter-spacing: 10px;
    margin-bottom: 20px;
}

footer a{
    font-size: 64px;
    color:#fff;
    font-family: 'Slabo 27px', serif;
    font-weight:300;
    position:relative;
}

footer a:before{
    content:'';
    position:absolute;
    bottom:0;
    left:0;
    height:2px;
    width:0;
    background-color:#fff;
    transition: all ease 1s;
}

footer a:hover:before{
    width:100%;
}

@media only screen and (max-width: 1000px) {
    .hero_sec .star {
        position: absolute;
        top: 198px;
        left: 110px;
        z-index: -1;
    }  

    .button_container {
        visibility: visible;
    }

    header .menu .list {
        visibility: hidden
    }

    .logo lottie-player {
        /* padding-right: 50px; */
        width: 150px !important;
        height: 150px
    }

    header {
        padding: 10px !important
    }

    .sec1{
        padding:0 50px;
    }
    .sec1 .sec1_img_group{
        display:grid;
        
        
    }
    /* .sec1_img{
        height:50%
    } */
    .sec1_img1{
        height:100%;
        position: absolute;

    }
    .sec1_img2{
        height:120%;
        position: absolute;
        top: 0%;
        left: 35%;
    }
    .sec1_img3{
        height:100%;
        position: absolute;
        /* top: 0%;
        right: 35%; */
    }

    .sec1 .sec1_img_group img:nth-child(1){ height:50%}
    .sec1 .sec1_img_group img:nth-child(2){ height:100%}
    .sec1 .sec1_img_group img:nth-child(3){ height:50%}

    .sec2{
        
        padding:50px;
    }
    .sec_text{
        max-width: 500px;
    }
    .sec_text h2{
        
        font-size: 50px;
    }
    .sec_text .sec_text_desc{
        padding-left: 20px;
        border-left:2px solid rgba(0,0,0,0.07)
    }
    .sec_text .sec_text_desc_p p{
        margin-bottom: 15px;
        line-height: 18px;
    }
    .sec2 .sec_img{
        width:50%;
        height:50%
    }
    .sec2 .sec_img img{
        width:110%
    }
    .sec3{
        
        padding:50px;
    }
    .sec3 .sec_img{
        width:50%;
        height:50%
    }
    .sec3 .sec_img img{
        width:120%
    }

    .sec3 .sec_text {
        padding-left: 100px;
    }

    .sec4{
        padding:50px;
        
    }
    .sec4 h3{
        font-size: 30px;
        text-transform: uppercase;
        padding: 0;
        /* margin-left: -50px; */
    }
    .sec4 .star{
        position:absolute;
        top:60px;
        right:35%;
        z-index: 1;
        /* left:0; */
        }
}

@media only screen and (max-width: 800px){
    .sec_text .sec_text_desc{
        
        /* padding-left: 20px; */
        border-left:2px solid rgba(0,0,0,0.07)
    }
    .hero_sec .star {
        position: absolute;
        top: 198px;
        left: 10px;
        z-index: -1;
    } 
    
    .sec2 .sec_img img{
        width:250%
    }

    .sec3 .sec_img{
        width:50% !important;
        /* height:20% */
    }
    .sec3 .sec_img img{
        /* padding-right: 100px; */
        margin-right: 100px;
        margin-left: -250px;
        width:300%
    }

    .sec3 .sec_text {
        
        padding-left: 150px;
        /* border-left:2px solid rgba(0,0,0,0.07) */
    }
    .sec4 .star{
        position:absolute;
        top:60px;
        right:31%;
        z-index: 1;
        /* left:0; */
        }
        footer a{
            font-size: 55px;
            
        }

}

@media only screen and (max-width: 500px){
    header {
        padding: 0 !important;;
    
    }
    header .logo lottie-player {
        height:120px !important;
        width:100px !important
    }
    .hero_sec p {
        text-transform: uppercase;
        letter-spacing: 5px;
    }
    .hero_sec h1 {
        text-transform: uppercase;
        margin: 30px 0 40px;
        font-size:50px;
        line-height: 86px;
    
    }
    .hero_sec .star {
        position: absolute;
        top: 198px;
        left: -60px;
        z-index: -1;
    }
    .sec2{
        padding: 0
    }
    .sec2 .sec_img{
        
        position: absolute;
    }
    .sec2 .sec_img img{
        height:500px;
        width: 500px !important;
    }
    .sec3 .sec_text{
        padding: 0;
        padding-bottom: 100px;
        margin-top:-50px;
        margin-left:-50px;
    }

    .sec4{
        padding:1px;
    }
    .sec4 h3{
      
        margin-left: -1px;
    }
    .sec4_img_group{
        
        margin-top: 210px;
    }
    
    .sec4_img_group img{
        width:100% !important;
        
    }
    .sec4_img_group .sec4_img2 img{
       visibility: hidden !important;
    }
    .sec4 .star{
        position:absolute;
        top:0px;
        right:15%;
        z-index: 1;
        /* left:0; */
        }
        .sec5 h2{
            font-size:50px;
            text-transform: uppercase;
        }
        .sec6 .image_slider img{
            width: 200%;
            height:100%
        }
        footer .circular_text{
            margin-top: -150px;
            
            z-index: 9;
            margin-bottom:10px;
        }
        footer a{
            font-size: 24px;
           
        }
        .circular_text img{
            height:250px;
        }
        
}